{% load navmenu %}
{% load static %}
<aside class="main-sidebar sidebar-light-primary elevation-4">
    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="{% static 'dist/img/logo.jpg' %}" class="img-circle elevation-2" alt="Logo Imagen">
            </div>
            <div class="info">
                <a href="#" class="d-block">Almacén los YUYITOS</a>
            </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
                with font-awesome or any other icon font library -->
            <li class="nav-item has-treeview">
                <a href="{% url 'almacen:inicio' %}" class="{% active 'almacen:inicio' %} nav-link">
                    <i class="nav-icon fas fa-home"></i>
                    <p>
                        Inicio
                    </p>
                </a>
            </li>  
            {% if user.is_staff or request.user.user_profile == 'operador' %}     
            <li class="nav-item has-treeview {% if  request.get_full_path == '/almacen/productos/' or request.get_full_path == '/almacen/familia/' or request.get_full_path == '/almacen/tipoproducto/' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if  request.get_full_path == '/almacen/productos/' or request.get_full_path == '/almacen/familia/' or request.get_full_path == '/almacen/tipoproducto/' %}active{% endif %}">
                    <i class="nav-icon fas fa-barcode"></i>
                    <p>
                        Productos
                        <i class="right fas fa-angle-left"></i>
                    </p>
                </a>
                
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:producto_list' %}" class="{% active 'almacen:producto_list' %}  nav-link">
                            <p class="p-p">Productos</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:familia_list' %}" class="{% active 'almacen:familia_list' %} nav-link">
                            <p class="p-p">Familia del Producto</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:tipo_list' %}" class="{% active 'almacen:tipo_list' %} nav-link">
                            <p class="p-p">Tipo de Producto</p>
                        </a>
                    </li>
                </ul>
            </li>
            {% endif %}
            {% if user.is_staff or request.user.user_profile == 'operador' or request.user.user_profile == 'vendedor'%}  
            <li class="nav-item has-treeview {% if  request.get_full_path == '/almacen/venta/create/' or request.get_full_path == '/almacen/ventas/' or request.get_full_path == '/almacen/reporte/venta/' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if  request.get_full_path == '/almacen/venta/create/' or request.get_full_path == '/almacen/ventas/' or request.get_full_path == '/almacen/reporte/venta/' %}active{% endif %}">
                <i class="nav-icon fas fa-shopping-cart"></i>
                <p>
                    Ventas
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:venta_create' %}" class="{% active 'almacen:venta_create' %} nav-link">
                        <p class="p-p">Realizar Venta</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:venta_list' %}" class="{% active 'almacen:venta_list' %} nav-link">
                        <p class="p-p">Listado de Ventas</p>
                        </a>
                    </li>
                    {% if user.is_staff or request.user.user_profile == 'operador' %} 
                    <li class="nav-item">
                        <a href="{% url 'almacen:venta_reporte' %}" class="{% active 'almacen:venta_reporte' %} nav-link">
                        <p class="p-p">Consultar Ventas</p>
                        </a>
                    </li>
                    {% endif %}
                </ul>
                
            </li>
            {% endif %}
            {% if user.is_staff or request.user.user_profile == 'operador' %}     
            <li class="nav-item has-treeviewnav-item has-treeview {% if  request.get_full_path == '/almacen/clientes/' or request.get_full_path == '/almacen/credito/' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if  request.get_full_path == '/almacen/clientes/' or request.get_full_path == '/almacen/credito/' %}active{% endif %}">
                <i class="nav-icon fas fa-user-clock"></i>
                <p>
                    Clientes
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                <li class="nav-item">
                    <a href="{% url 'almacen:cliente_list' %}" class="{% active 'almacen:cliente_list' %} nav-link">
                    <p class="p-p">Clientes</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'almacen:credito' %}" class="{% active 'almacen:credito' %} nav-link">
                    <p class="p-p">Ventas al Crédito</p>
                    </a>
                </li>
                </ul>
            </li>
            <li class="nav-item has-treeview {% if   request.get_full_path == '/almacen/proveedor/' or request.get_full_path == '/almacen/compras/' or request.get_full_path == '/almacen/compras/create/' or request.get_full_path == '/almacen/reporte/compra' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if    request.get_full_path == '/almacen/proveedor/' or request.get_full_path == '/almacen/compras/' or request.get_full_path == '/almacen/compras/create/' or request.get_full_path == '/almacen/reporte/compra' %}active{% endif %}">
                <i class="nav-icon fas fa-truck"></i>
                <p>
                    Compras
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:compra_list' %}" class="{% active 'almacen:compra_list' %} nav-link">
                        <p class="p-p">Listado de Compras</p>
                        </a>
                    </li>    
                    <li class="nav-item">
                        <a href="{% url 'almacen:compra_reporte' %}" class="{% active 'almacen:compra_reporte' %} nav-link">
                        <p class="p-p">Consultar Compras</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:proveedor_list' %}" class="{% active 'almacen:proveedor_list' %} nav-link">
                        <p class="p-p">Proveedores</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:compra_create' %}" class="{% active 'almacen:compra_create' %} nav-link">
                        <p class="p-p">Realizar Compra</p>
                        </a>
                    </li>
                </ul>
            </li>
            <li class="nav-item has-treeview {% if  request.get_full_path == '/almacen/recepcion/' %}menu-open{% endif %}">
                <a href="pages/inventario.html" class="nav-link {% if request.get_full_path == '/almacen/recepcion/'%}active{% endif %}">
                <i class="nav-icon fas fa-th-list"></i>
                <p>
                    Recepción Pedido
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:recepcion' %}" class="{% active 'almacen:recepcion' %} nav-link">
                        <p class="p-p">Recepción de Productos</p>
                        </a>
                    </li>
                </ul>
            </li>
            <li class="nav-item has-treeview">
                <a href="{% url 'user:usuarios' %}" class="{% active 'user:usuarios' %} nav-link">
                <i class="nav-icon fas fa-user"></i>
                <p>
                    Usuarios
                </p>
                </a>
            </li>
            {% endif %}
            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>